import axios from 'axios';

const create = async (data, headers = {}) => {
    try {
        const response = await axios.post(`${process.env.REACT_APP_LOGS_API}/logs`, data, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const getAll = async (id, headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_LOGS_API}/logs/${id}`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

export const LogsService = {
    create,
    getAll
};